Delete decision section
curl --request DELETE \
--url https://staging.api.us.aptlydone.com/settings/v1/decision-sections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/decision-sections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/decision-sections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "ac9559f4-4e4e-4875-8fcd-ed14ad850183",
"tenantId": "c00ff798-020d-4b15-bf55-fad29786c6cd",
"sectionName": "Finance Department",
"isDeleted": false,
"categories": [
{
"id": "4a7ed297-338c-4f62-82ce-d5e865b50ccb",
"tenantId": "6a91b677-54b9-4ca0-b2d5-32c1d64f784f",
"categoryName": "Finance",
"isDeleted": false,
"sectionId": "34270cee-9e1c-40bc-a6b8-470b58e6e3eb"
}
],
"createdAt": "2024-01-15T12:00:00Z"
}
}Decisions
Delete decision section
DELETE
/
v1
/
decision-sections
/
{id}
Delete decision section
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Decision section deleted successfully
Was this page helpful?
āI